Name:           tetzle
Version:        2.1.0
Release:        %mkrel 1
Summary:        Jigsaw puzzle with tetromino pieces
Group:          Games/Puzzles
License:        GPLv3+
URL:            http://gottcode.org/%{name}/
Source:         http://gottcode.org/%{name}/%{name}-%{version}-src.tar.bz2

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

%description
A jigsaw puzzle game that uses tetrominoes for the pieces.
Any image can be imported and used to create puzzles with
a wide range of sizes. Games are saved automatically, and
you can select between currently in progress games.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%makeinstall INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man6/%{name}.6.xz


%changelog
* Sat Jun 03 2017 vaci0 <vaci0> 2.1.0-1.mga6
+ Revision: 1105922
- Update to new version 2.1.0

* Mon Feb 01 2016 umeabot <umeabot> 2.0.3-4.mga6
+ Revision: 930430
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.3-3.mga5
+ Revision: 744968
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.3-2.mga5
+ Revision: 689841
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 2.0.3-1.mga5
+ Revision: 585489
- new version 2.0.3
- use desktop file from upstream

* Fri Oct 18 2013 umeabot <umeabot> 2.0.1-4.mga4
+ Revision: 519600
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.1-3.mga3
+ Revision: 384416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 25 2012 juancho <juancho> 2.0.1-2.mga3
+ Revision: 274161
- Changed qmake call for %%qmake_qt4 macro.
- Removed obsolete defattr call in %%files
- Simplified icon installation with one line for all icons in %%files.

  + vaci0 <vaci0>
    - Update version to 2.0.1

* Wed May 30 2012 juancho <juancho> 2.0.0-3.mga3
+ Revision: 251771
- Removed white space from desktop file entries.
- Removed unneeded g++ BR

  + vaci0 <vaci0>
    - imported package tetzle

